Package com.databend.jdbc

# Class RawStatement

java.lang.Object
com.databend.jdbc.RawStatement

Direct Known Subclasses:
  `NonQueryRawStatement`, `QueryRawStatement`, `SetParamRawStatement`

public abstract class RawStatement extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCleanSql()`
`List<ParamMarker>`
`getParamMarkers()`
`String`
`getSql()`
`abstract StatementType`
`getStatementType()`
`static RawStatement`
`of(String sql, List<ParamMarker> paramPositions, String cleanSql)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RawStatement

protected RawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)

## Method Details

### of

public static RawStatement of(String sql, List<ParamMarker> paramPositions, String cleanSql)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getParamMarkers

public List<ParamMarker> getParamMarkers()

### getSql

public String getSql()

### getCleanSql

public String getCleanSql()

### getStatementType

public abstract StatementType getStatementType()